@namespace bf "http://id.loc.gov/ontologies/bibframe/";
@namespace dc "http://purl.org/dc/elements/1.1/";
@namespace exml "https://sub.uni-goettingen.de/met/standards/entity-xml#";
@namespace gndo "https://d-nb.info/standards/elementset/gnd#";
@namespace mml "http://www.w3.org/1998/Math/MathML";
@namespace oxy "http://www.oxygenxml.com/extensions/author";
@namespace svg "http://www.w3.org/2000/svg";
@namespace tei "http://www.tei-c.org/ns/1.0";
@namespace xi "http://www.w3.org/2001/XInclude";
@namespace xlink "http://www.w3.org/1999/xlink";
@namespace xml "http://www.w3.org/XML/1998/namespace";


/* ####################################################### */
/* ################# General Components ################## */

/* ~ Comments */
/* oxy|comment {
    display:none !important;
} */

/* oxy|comment::before {
    display:none !important;
} */

/* text {
    display: block;
    margin-left: 40px;
    margin-right: 40px;
}*/



/* ######################################################### */
/* ################# Strutural Components ################## */

TEI{
    /* font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif; */
    margin: 10px;
}

teiHeader {
    display: none;
}

facsimile,
body > div,
div[type=poetological] > div {
    display: block;
    margin-bottom: 2em;
}

facsimile::before,
div[type=poetological] > div::before,
div[type=vocalisation]::before,
div[type=translation]::before {
    display: block;
    font-size: 1.5em;
    font-weight: 600;
    margin-bottom: 10px;
}

div[type=poetological] > div::before,
div[type=vocalisation]::before,
div[type=translation]::before {
    content: oxy_xpath( "concat(upper-case(substring(./@type,1,1)),substring(./@type, 2),' '[not(last())])" );
    font-variant: small-caps !important; 
}

facsimile::before {
    border-bottom: 2px solid brown;
}


div[type=vocalisation]::before,
div[type=translation]::before{
    border-bottom: 2px solid orange;
}


div[type=kola]::before,
div[type=verses]::before,
div[type=poetological] > div::before {
    border-bottom: 2px solid blue;
}

facsimile,
div[type=poetological] > div,
div[type=vocalisation],
div[type=translation]{
    padding: 0 10px 10px 10px;
}

facsimile {
    border-left: 3px solid brown;
    border-bottom: 3px solid brown;
    background-color: rgba(255, 240, 240, 0.774);
}

div[type=vocalisation],
div[type=translation]{
    border-left: 3px solid orange;
    border-bottom: 3px solid orange;
    background-color: rgba(255, 248, 240, 0.774);
}

div[type=kola],
div[type=verses],
div[type=poetological] > div {
    border-left: 3px solid blue;
    border-bottom: 3px solid blue;
    background-color: rgba(240, 241, 255, 0.774);
}

div[type=kola] > div,
div[type=verses] > ab,
div[type=vocalisation] > ab,
div[type=translation] > ab {
    display: block;
}



/* ################# Faksimiles ###############*/
facsimile::before{
    content:"Transkription";
}

facsimile surface line::before {
    content: oxy_xpath( " xs:int(./@n) ");
    margin-right: 10px;
    padding-right: 10px;
    border-right: 1px solid brown;
    border-bottom: 1px solid brown;
    width: 1.8em;
}

facsimile surface line {
    display: block;
    line-height: 1.8em;
}

facsimile span[xml|id]::after {
    content: oxy_xpath( "for $id in (data(./@xml:id)) return if ( //note[@target = '#'||$id] ) then ( ''||count(//note[@target = '#'||$id]/preceding::note)+1||')' ) else ()" );
    color:brown;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-style: italic;
    vertical-align: sub;
    font-weight: 600;
    font-size: 0.8em;
}



/* ################# Vocalisation BLOCK ###############*/

div[type=vocalisation] > ab::before {
    content: oxy_xpath(" count(preceding-sibling::ab) + 1 ");
    margin-right: 10px;
    padding-right: 10px;
    border-right: 1px solid orange;
    font-style: normal !important;
    width: 1.8em;
    border-bottom: 1px solid orange;
}

div[type=vocalisation] > ab {
    display: block;
    line-height: 1.8em;
}

div[type=vocalisation] lb {
    content: oxy_xpath( " '|'||./@n||'|' ");
    font-weight: 100;
    color:gray
}





/* ################# Translation BLOCK ###############*/



div[type=translation] > ab::before {
    content: 
        oxy_xpath("count(preceding-sibling::ab)+1||': '") 
        oxy_xpath(" for $id in (./@corresp) return //root()//*:div[@type='vocalisation']/*:ab[@corresp=$id]//text() ");
    display: block;
    font-style: italic;
    font-size: smaller;
}

div[type=translation] > ab {
    display: block;
    line-height: 1.8em;
}

div[type=translation] > ab {
    margin-bottom: 20px;
}




/* ################# VERS Stuctures ###############*/



div[type=kolon]::before {
    content: oxy_xpath(" 'Kolon '||count(preceding-sibling::div) + 1 ");
    margin-right: 10px;
    padding-right: 10px;
    border-right: 1px solid blue;
    font-style: normal !important;
    width: 1.8em;
    border-bottom: 1px solid blue;
}

div[type=kolon] {
    content: oxy_xpath( "'\"'||string-join( (for $id in tokenize(./@corresp, ' ') return //*[@xml:id = substring-after($id, '#')]), ' ' )|| '\" '");
    line-height: 1.8em;
    font-style: italic;
    margin-bottom: 15px;
    background:rgba(255, 255, 255, 0.774)
}


div[type=kolon] interp{
    font-style: normal !important;
    display: none;
}

/* div[type=kolon] interp::after{
    content: ")";
} */


div[type=stanza]::before,
div[type=vers]::before {
    display: block;
    content: oxy_xpath(" count(preceding-sibling::div) + 1 || ':  ' || string-join( (for $kolon in (for $id in tokenize(./@corresp, ' ') return //*[@xml:id = substring-after($id, '#')]) return (for $id2 in tokenize($kolon/@corresp, ' ')return (//*[@xml:id = substring-after($id2, '#')]) )), ' ' )||'' ");
    margin-right: 10px;
    border-bottom: 1px solid blue;
}

div[type=vers] {
    /* content: oxy_xpath( "string-join( (for $kolon in (for $id in tokenize(./@corresp, ' ') return //*[@xml:id = substring-after($id, '#')]) return (for $id2 in tokenize($kolon/@corresp, ' ')return (//*[@xml:id = substring-after($id2, '#')]) )), ' ' )||''" ); */
    margin-right: 30px;
    margin-bottom: 15px;
}

div[type=vers] > * {
    display: block;
}






/* ################# Notes ###############*/

div[type=epigraphic_notes],
div[type=notes] {
    display:block;
    margin-top: 20px;
    border-top: 1px dashed brown;
    padding: 10px 0 0 0;
}



div[type=epigraphic_notes] > note::before,
div[type=notes] > note::before {
    content: oxy_xpath( "count(preceding::note)+1 ||')'" );
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 600;
    margin-right: 15px;
    text-decoration: underline;
}

/* div[type=epigraphic_notes] > note::before {
    color:brown;
} */

div[type=epigraphic_notes] > note,
div[type=notes] > note {
    display: block;
}

div[type=epigraphic_notes] > note[target],
div[type=notes] > note[target] {
    content: oxy_xpath( " '[\2197 '||data(./@target) ||'] '" );
}

div[type=vocalisation] > * > span[xml|id]::after,
div[type=translation] > * > span[xml|id]::after {
    content: oxy_xpath( "for $id in (data(./@xml:id)) return if ( //note[@target = '#'||$id] ) then ( ''||count(//note[@target = '#'||$id]/preceding::note)+1||')' ) else ()" );
    color:brown;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-style: italic;
    vertical-align: sub;
    font-weight: 600;
    font-size: 0.8em;
}

bibl[zotero] {

}